Save Settings

Authorization
string
required
Firebase IDトークン
siteId
string
required
ga4TrackingId
string
G-XXXXXXXXXX 形式
seoTitle
string
seoDescription
string
seoKeywords
string
カンマ区切り
ogImage
string
画像URL
curl -X POST https://app.hirameki-web.com/api/save-analytics-settings \
  -H "Authorization: Bearer {token}" \
  -H "Content-Type: application/json" \
  -d '{
    "siteId": "your-site-id",
    "ga4TrackingId": "G-1234567890",
    "seoTitle": "カフェサイト",
    "seoDescription": "温かみのあるカフェ",
    "seoKeywords": "coffee, cafe, tokyo",
    "ogImage": "https://cdn.example.com/og.png"
  }'

Load Settings

curl https://app.hirameki-web.com/api/get-analytics-settings/{siteId} \
  -H "Authorization: Bearer {token}"
{
  "success": true,
  "settings": {
    "ga4TrackingId": "G-1234567890",
    "seoTitle": "カフェサイト",
    "seoDescription": "温かみのあるカフェ",
    "seoKeywords": "coffee, cafe, tokyo",
    "ogImage": "https://cdn.example.com/og.png",
    "updatedAt": "2026-02-05T06:20:00.000Z"
  }
}

保存先

設定は各サイトの .sitemeta.json ファイルに保存されます。
すべてのAPIはFirebase IDトークンが必須です。